'use strict';

exports.__esModule = true;
exports.MateView = exports.MateFieldsView = exports.BaseView = exports.LayoutsView = exports.AddFieldView = undefined;

var _css = require('antd/lib/popover/style/css');

var _popover = require('antd/lib/popover');

var _popover2 = _interopRequireDefault(_popover);

var _css2 = require('antd/lib/switch/style/css');

var _switch = require('antd/lib/switch');

var _switch2 = _interopRequireDefault(_switch);

var _css3 = require('antd/lib/button/style/css');

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

var _css4 = require('antd/lib/select/style/css');

var _select = require('antd/lib/select');

var _select2 = _interopRequireDefault(_select);

var _css5 = require('antd/lib/input/style/css');

var _input = require('antd/lib/input');

var _input2 = _interopRequireDefault(_input);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _mobxReact = require('mobx-react');

var _DesignComponents = require('./DesignComponents');

var _reactColor = require('react-color');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AddFieldView = exports.AddFieldView = function (_React$Component) {
    _inherits(AddFieldView, _React$Component);

    function AddFieldView() {
        _classCallCheck(this, AddFieldView);

        return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    AddFieldView.prototype.render = function render() {
        return React.createElement(
            'div',
            null,
            'AddField'
        );
    };

    return AddFieldView;
}(React.Component);

;

var LayoutsView = exports.LayoutsView = (0, _mobxReact.inject)('crfDesign')((0, _mobxReact.observer)(function (_React$Component2) {
    _inherits(_class, _React$Component2);

    function _class() {
        _classCallCheck(this, _class);

        return _possibleConstructorReturn(this, _React$Component2.apply(this, arguments));
    }

    _class.prototype.render = function render() {
        var _props$crfDesign = this.props.crfDesign,
            formName = _props$crfDesign.formName,
            changeFormName = _props$crfDesign.changeFormName,
            headerStyle = _props$crfDesign.headerStyle,
            changeHeaderStyle = _props$crfDesign.changeHeaderStyle,
            fontSizeOptions = _props$crfDesign.fontSizeOptions,
            fontWeightOptions = _props$crfDesign.fontWeightOptions,
            textAlignOptions = _props$crfDesign.textAlignOptions,
            addCell = _props$crfDesign.addCell,
            fieldName = _props$crfDesign.fieldName,
            border = _props$crfDesign.border,
            changeBorder = _props$crfDesign.changeBorder;

        return React.createElement(
            'div',
            { className: 'layouts-content' },
            React.createElement(
                'div',
                {
                    style: { width: '100%', height: '100%', overflow: 'auto' }
                },
                React.createElement(
                    'div',
                    { className: 'layouts-header-content' },
                    React.createElement(
                        'div',
                        { className: 'design-header' },
                        React.createElement(
                            'h4',
                            null,
                            '\u8868\u5934\u8BBE\u8BA1'
                        )
                    ),
                    React.createElement(
                        'div',
                        null,
                        React.createElement(
                            _DesignComponents.InputWarp
                            //label='添加'
                            ,
                            {
                                label: '\u6807\u9898'
                            },
                            React.createElement(_input2.default, {
                                value: formName,
                                onChange: function onChange(e) {
                                    var value = e.target.value;

                                    changeFormName(value);
                                }
                            })
                        ),
                        React.createElement(
                            _DesignComponents.InputWarp,
                            {
                                label: '\u4F4D\u7F6E'
                            },
                            React.createElement(
                                _select2.default,
                                {
                                    style: { width: '100%' },
                                    value: headerStyle.textAlign,
                                    onChange: function onChange(value) {
                                        return changeHeaderStyle({ textAlign: value });
                                    }
                                },
                                textAlignOptions.map(function (item) {
                                    return React.createElement(
                                        _select2.default.Option,
                                        { key: item.value },
                                        item.label
                                    );
                                })
                            )
                        ),
                        React.createElement(
                            _DesignComponents.InputWarp,
                            {
                                label: '\u5B57\u53F7'
                            },
                            React.createElement(
                                _select2.default,
                                {
                                    style: { width: '100%' },
                                    value: headerStyle.fontSize,
                                    onChange: function onChange(value) {
                                        return changeHeaderStyle({ fontSize: value });
                                    }
                                },
                                fontSizeOptions.map(function (item) {
                                    return React.createElement(
                                        _select2.default.Option,
                                        { key: item + 'px' },
                                        item + 'px'
                                    );
                                })
                            )
                        ),
                        React.createElement(
                            _DesignComponents.InputWarp,
                            {
                                label: '\u52A0\u7C97'
                            },
                            React.createElement(
                                _select2.default,
                                {
                                    style: { width: '100%' },
                                    value: headerStyle.fontWeight,
                                    onChange: function onChange(value) {
                                        return changeHeaderStyle({ fontWeight: value });
                                    }
                                },
                                fontWeightOptions.map(function (item) {
                                    return React.createElement(
                                        _select2.default.Option,
                                        { key: item },
                                        item
                                    );
                                })
                            )
                        )
                    )
                ),
                React.createElement(
                    'div',
                    { className: 'layouts-header-content' },
                    React.createElement(
                        'div',
                        { className: 'design-header' },
                        React.createElement(
                            'h4',
                            null,
                            '\u5E03\u5C40\u8BBE\u8BA1'
                        )
                    ),
                    React.createElement(
                        'div',
                        null,
                        React.createElement(
                            _DesignComponents.InputWarp,
                            null,
                            React.createElement(
                                _button2.default,
                                {
                                    type: 'primary',
                                    onClick: function onClick() {
                                        return addCell();
                                    }
                                },
                                '\u6DFB\u52A0\u5E03\u5C40\u5143\u7D20'
                            )
                        )
                    )
                ),
                React.createElement(
                    'div',
                    { className: 'layouts-header-content', style: { borderBottom: '0 none' } },
                    React.createElement(
                        'div',
                        { className: 'design-header' },
                        React.createElement(
                            'h4',
                            null,
                            '\u8FB9\u6846\u8BBE\u8BA1'
                        )
                    ),
                    React.createElement(
                        _DesignComponents.InputWarp,
                        {
                            label: '\u662F\u5426\u663E\u793A'
                        },
                        React.createElement(_switch2.default, {
                            checked: border.show,
                            onChange: function onChange(checked) {
                                return changeBorder({ show: checked });
                            },
                            checkedChildren: '\u662F',
                            unCheckedChildren: '\u5426'
                        })
                    ),
                    React.createElement(
                        _DesignComponents.InputWarp,
                        {
                            label: '\u989C\u8272'
                        },
                        React.createElement(
                            _popover2.default,
                            {
                                placement: 'bottom',
                                trigger: 'click',
                                overlayClassName: 'crf-color-picker-content',
                                content: React.createElement(_reactColor.ChromePicker, {
                                    color: border.color,
                                    onChange: function onChange(_ref) {
                                        var hex = _ref.hex;
                                        return changeBorder({ color: hex });
                                    }
                                })
                            },
                            React.createElement(
                                'div',
                                { style: { width: '104px', border: '1px solid #ddd', backgroundColor: '#fff', padding: '4px', borderRadius: '2px' } },
                                React.createElement('div', { style: { height: '12px', backgroundColor: border.color } })
                            )
                        )
                    )
                )
            )
        );
    };

    return _class;
}(React.Component)));

var BaseView = exports.BaseView = function (_React$Component3) {
    _inherits(BaseView, _React$Component3);

    function BaseView() {
        _classCallCheck(this, BaseView);

        return _possibleConstructorReturn(this, _React$Component3.apply(this, arguments));
    }

    BaseView.prototype.render = function render() {
        return React.createElement(
            'div',
            null,
            'Base'
        );
    };

    return BaseView;
}(React.Component);

;

var MateFieldsView = exports.MateFieldsView = function (_React$Component4) {
    _inherits(MateFieldsView, _React$Component4);

    function MateFieldsView() {
        _classCallCheck(this, MateFieldsView);

        return _possibleConstructorReturn(this, _React$Component4.apply(this, arguments));
    }

    MateFieldsView.prototype.render = function render() {
        return React.createElement(
            'div',
            null,
            'MateFields'
        );
    };

    return MateFieldsView;
}(React.Component);

;

var MateView = exports.MateView = function (_React$Component5) {
    _inherits(MateView, _React$Component5);

    function MateView() {
        _classCallCheck(this, MateView);

        return _possibleConstructorReturn(this, _React$Component5.apply(this, arguments));
    }

    MateView.prototype.render = function render() {
        return React.createElement(
            'div',
            null,
            'Mate'
        );
    };

    return MateView;
}(React.Component);

;