'use strict';

exports.__esModule = true;

var _utils = require('./utils');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Validate = function () {
    function Validate() {
        _classCallCheck(this, Validate);
    }

    Validate.prototype.number = function number(value) {
        return (/^[0-9]*$/.test(value)
        );
    };

    Validate.prototype.require = function require(value) {
        return !(0, _utils.isEmpty)(value);
    };

    Validate.prototype.length = function length(value, _ref) {
        var min = _ref.min,
            max = _ref.max;

        var _min = true,
            _max = true;
        if (min) {
            _min = value >= min;
        };
        if (max) {
            _max = value <= max;
        };
        return _min && _max;
    };

    return Validate;
}();

;

var validate = new Validate();

exports.default = validate;