import * as React from 'react';
import { Tree, Icon, Button, Popover, Radio } from 'antd';
import { title_position} from './FieldDesignModel';

const { TreeNode } = Tree;
const RadioGroup = Radio.Group;

export class InputWarp extends React.Component {
    render(){
        const { label } = this.props;
        return (
            <div 
                style={{ 
                    display: 'table',
                    width: '100%',
                    padding: '8px 0' 
                }}
            >
                <div
                    style={{
                        display: 'table-cell',
                        textAlign: 'right',
                        verticalAlign: 'middle'
                    }}
                >
                    <span
                        style={{
                            fontSize: '12px',
                            color: '#333'
                        }}
                    >{ label }</span>
                </div>
                <div
                    style={{
                        display: 'table-cell',
                        width: '200px',
                        paddingLeft: '10px'
                    }}
                >
                {
                    this.props.children
                }
                </div>
            </div>
        );
    };
};