'use strict';

exports.__esModule = true;
exports.InputWarp = undefined;

var _css = require('antd/lib/radio/style/css');

var _radio = require('antd/lib/radio');

var _radio2 = _interopRequireDefault(_radio);

var _css2 = require('antd/lib/tree/style/css');

var _tree = require('antd/lib/tree');

var _tree2 = _interopRequireDefault(_tree);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _FieldDesignModel = require('./FieldDesignModel');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TreeNode = _tree2.default.TreeNode;

var RadioGroup = _radio2.default.Group;

var InputWarp = exports.InputWarp = function (_React$Component) {
    _inherits(InputWarp, _React$Component);

    function InputWarp() {
        _classCallCheck(this, InputWarp);

        return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    InputWarp.prototype.render = function render() {
        var label = this.props.label;

        return React.createElement(
            'div',
            {
                style: {
                    display: 'table',
                    width: '100%',
                    padding: '8px 0'
                }
            },
            React.createElement(
                'div',
                {
                    style: {
                        display: 'table-cell',
                        textAlign: 'right',
                        verticalAlign: 'middle'
                    }
                },
                React.createElement(
                    'span',
                    {
                        style: {
                            fontSize: '12px',
                            color: '#333'
                        }
                    },
                    label
                )
            ),
            React.createElement(
                'div',
                {
                    style: {
                        display: 'table-cell',
                        width: '200px',
                        paddingLeft: '10px'
                    }
                },
                this.props.children
            )
        );
    };

    return InputWarp;
}(React.Component);

;