'use strict';

exports.__esModule = true;

var _mobx = require('mobx');

var _FieldDesignModel = require('./FieldDesignModel');

var _FieldDesignModel2 = _interopRequireDefault(_FieldDesignModel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var FormMain = function FormMain() {
    var _this = this;

    _classCallCheck(this, FormMain);

    (0, _mobx.extendObservable)(this, {
        form: {
            name: '基本信息',
            id: 0,
            code: '',
            version: 0
        },
        zoom: 10,
        showPreview: false,
        previewKey: 0,
        get page() {
            return {
                width: this.zoom * 768 / 10,
                height: this.zoom * 1024 / 10
            };
        },
        init: (0, _mobx.action)(function (id) {}),
        plusZoom: (0, _mobx.action)(function () {
            _this.zoom = Math.round(_this.zoom + 2);
        }),
        minuZoom: (0, _mobx.action)(function () {
            _this.zoom = Math.round(_this.zoom - 2);
        }),
        openPreview: (0, _mobx.action)(function () {
            _this.showPreview = true;
        }),
        closePreview: (0, _mobx.action)(function () {
            _FieldDesignModel2.default.clearFieldValue();
            _this.showPreview = false;
            _this.previewKey++;
        })
    });
};

;

var crfFormMain = new FormMain();

exports.default = crfFormMain;