'use strict';

exports.__esModule = true;

var _mobx = require('mobx');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var RelationModel = function RelationModel() {
    var _this = this;

    _classCallCheck(this, RelationModel);

    (0, _mobx.extendObservable)(this, {
        showAddexpendModal: false,
        ctrl: false,
        ctx: null,
        showCanvas: false,
        setCanvasNode: (0, _mobx.action)(function (_node) {
            var ctx = _node.getContext('2d');
            _this.ctx = ctx;
        }),
        changeShowCanvas: (0, _mobx.action)(function () {
            _this.showCanvas = !_this.showCanvas;
        }),
        listenCtrl: (0, _mobx.action)(function () {
            document.onkeydown = function (e) {
                if (e.keyCode === 91) {
                    _this.ctrl = true;
                };
            };
            document.onkeyup = function (e) {
                _this.ctrl = false;
            };
        })
    });
};

;

var crfRealtion = new RelationModel();

exports.default = crfRealtion;