import {isEmpty} from './utils';

class Validate {
    number(value){
        return /^[0-9]*$/.test(value);
    };

    require( value ){
        return !isEmpty(value)
    };

    length( value, {min, max} ){
        let _min = true, _max = true;
        if( min ){
            _min = value >= min;
        };
        if( max ){
            _max = value <= max;
        };
        return _min && _max;    
    };
};

const validate = new Validate();

export default validate;